# Generated by Django 4.2.16 on 2024-11-19 20:31

from django.db import migrations, models


def make_many_parents(apps, schema_editor):
    """
    Adds the Author object in Book.author to the
    many-to-many relationship in Book.authors
    """
    Nomenclature = apps.get_model("sinp_nomenclatures", "Nomenclature")

    for item in Nomenclature.objects.all():
        if item.parent:
            item.parents.add(item.parent)


class Migration(migrations.Migration):

    dependencies = [
        (
            "sinp_nomenclatures",
            "0002_remove_nomenclature_active_nomenclature_status_and_more",
        ),
    ]

    operations = [
        migrations.AddField(
            model_name="nomenclature",
            name="parents",
            field=models.ManyToManyField(
                related_name="child_nomenclatures",
                to="sinp_nomenclatures.nomenclature",
                verbose_name="Parents nomenclature",
            ),
        ),
        migrations.RunPython(make_many_parents),
        migrations.RemoveField(
            model_name="nomenclature",
            name="parent",
        ),
    ]
